### R code from vignette source 'RRootDetection.Rnw'

###################################################
### code chunk number 1: BARPLOT1
###################################################
  ##########  
  #Short example
  #
  library(RRootDetection)
  file <- system.file("extdata/example.db",package="RRootDetection")
  #Setting Connection to database file
  RD.load(file)

  #Select one directory for further analysis
  tmp_dir <- RD.list.directories()[1]

  #Extract root data from the specified directory using default settings for the RD.list.roots() function
  #
  #For the RD.list.roots() options please see 'help("RD.list.roots")'
  #tmp_root_directory <- RD.list.roots(directory=tmp_dir, image = NULL, num = NULL, return.matrix = TRUE, order = "DESC")
  #
  tmp_root_directory <- RD.list.roots(directory=tmp_dir)

  #Plot a barplot from the tmp_root_directory matrix using default settings for the RD.plot.bar() function
  RD.plot.bar(tmp_root_directory)


